Kerbal Space Program - Bug #3876

Speeding up the game speed causes the physics to intensify.
12/19/2014 11:24 PM - EmpressKuroki

Status: Not a Bug Start date: 12/19/2014
Severity: Normal % Done: 0%
Assignee:

Category: Physics

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When | speed the game up to 4X the parachutes are much more likely to break and | have had them die just because | didn't want to
sit and wait for him to come down very slowly. This is most likely to occur when parachutes open up completely. Speeding up time
too fast is actually the cause of most deaths of astronauts for me so far, in suborbit you can crash directly into Kerbin if its set at full,
it seems the physics takes speeding up time as literally speeding the ship up rather than playing things in fast motion. On launch the
ship is also much more likely to fall off course if its in 4x even if SAS is on and the same ship would not need to be controlled in slow
mode if SAS was on. Leaving the capsule at 4x mode is also dangerous the astronauts sometimes fly off the ladder and hit the
ground and die, even if they would have lived from falling from said distance. Speeding up time is not supposed to change physics at
all.

Related issues:
Has duplicate Kerbal Space Program - Feedback #5427: Time warp increases tors... Duplicate 09/20/2015

History

#1 - 12/20/2014 12:48 AM - RexKramer
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

Before you advance physics warp beyond 2X the game prompts you with a warning, advising that bad things can and do happen when using physics
warp. If you ignore that warning, you do so at your own risk.

While physics warp is useful at times, you have to be very careful using it. Don't use physics warp during parachute deployment, or with Kerbals on
EVA. Once your parachute deploys, you can usually safely use physics warp again with small or moderate sized ships. | strongly advise not using
physics warp at the moment your vessel touches down.

These aspects of using physics warp are known, and the game warns you before allowing you to go beyond 2X physics warp. Not really a bug.

By the way, you are in good company, as you are not the first player to cause the demise of a Kerbal through the use of physics warp..

#2 - 09/21/2015 02:47 PM - Squelch

- Has duplicate Feedback #5427: Time warp increases torsion of parts when experiencing drag (and likely acceleration). added
